/*
 * Class HASHABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_839 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_839 [] = {0xFF01,1551,838,0xFFFF};
static const EIF_TYPE_INDEX egt_2_839 [] = {0xFF01,838,0xFFFF};
static const EIF_TYPE_INDEX egt_3_839 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_839 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_839 [] = {0xFF01,838,0xFFFF};
static const EIF_TYPE_INDEX egt_6_839 [] = {0xFF01,838,0xFFFF};
static const EIF_TYPE_INDEX egt_7_839 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_839 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_839 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_839 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_839 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_839 [] = {0xFF01,838,0xFFFF};


static const struct desc_info desc_839[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_839), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_839), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_839), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_839), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_839), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_839), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_839), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_839), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_839), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_839), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_839), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_839), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x068D /*838*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_839), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
};
void Init839(void)
{
	IDSC(desc_839, 0, 838);
	IDSC(desc_839 + 1, 1, 838);
	IDSC(desc_839 + 32, 700, 838);
}


#ifdef __cplusplus
}
#endif
